DynamicMapComponentTuplizer (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.tuple.component
Class DynamicMapComponentTuplizer

    java.lang.Object
      org.hibernate.tuple.component.AbstractComponentTuplizer
          org.hibernate.tuple.component.DynamicMapComponentTuplizer

All Implemented Interfaces:
  Serializable, ComponentTuplizer, Tuplizer

    public class DynamicMapComponentTuplizer

extends AbstractComponentTuplizer

A `ComponentTuplizer` specific to the dynamic-map entity mode.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.tuple.component.AbstractComponentTuplizer
`getters, hasCustomAccessors, instantiator, propertySpan, setters`

Constructor Summary
`DynamicMapComponentTuplizer(Component component)`

Method Summary
`protected Getter` | `buildGetter(Component component, Property prop)`
`protected Instantiator` | `buildInstantiator(Component component)`
`protected Setter` | `buildSetter(Component component, Property prop)`
`Class` | `getMappedClass()` Return the pojo class managed by this tuplizer.

Methods inherited from class org.hibernate.tuple.component.AbstractComponentTuplizer
`getGetter, getParent, getPropertyValue, getPropertyValues, hasParentProperty, instantiate, isInstance, isMethodOf, setParent, setPropertyValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicMapComponentTuplizer

    public DynamicMapComponentTuplizer(Component component)

Method Detail

### getMappedClass

    public Class getMappedClass()

  Description copied from interface: `Tuplizer`
  Return the pojo class managed by this tuplizer. Need to determine how to best handle this for the Tuplizers for EntityModes other than POJO. todo : be really nice to not have this here since it is essentially pojo specific...

  Returns:
    The persistent class.

### buildInstantiator

    protected Instantiator buildInstantiator(Component component)

  Specified by:
    `buildInstantiator` in class `AbstractComponentTuplizer`

### buildGetter

    protected Getter buildGetter(Component component,
                                 Property prop)

  Specified by:
    `buildGetter` in class `AbstractComponentTuplizer`

### buildSetter

    protected Setter buildSetter(Component component,
                                 Property prop)

  Specified by:
    `buildSetter` in class `AbstractComponentTuplizer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.